Attribute VB_Name = "modPublicModule"
Option Explicit

Public intDctoolFlavor  As Integer
Public intDctoolTask    As Integer
Public intNoConsole      As Integer
Public intDumbTerminal   As Integer
Public intNoScreenClear  As Integer
Public intExternalClock  As Integer
Public intARP            As Integer
Public intGDB            As Integer
Public intCDFSRedir      As Integer
'Public intChroot        As Integer
'Public strChrootPath   As String
Public strCDFSRedirISO  As String
Public strFilename      As String
Public strAddress       As String
Public strFilesize      As String
Public strDevice        As String
Public strIP            As String
Public strBaudrate      As String
Public strMAC           As String

Public Const UL = 1
Public Const ULxEX = 2
Public Const DL = 3

Public Const SERIAL = 1
Public Const IP = 2

Public Sub Set_GUI()

    frmMain.txtFilename.Text = strFilename

    Select Case intDctoolFlavor
    
        Case SERIAL
            With frmMain
                .Caption = "dc-tool Serial GUI v" & APP_VERSION
                .mnuFileResetDcload.Enabled = False
                .mnuOptionsDctoolSerial.Checked = True
                .mnuOptionsDctoolIP.Checked = False
            End With
            
            With frmOptions
                .Height = 6255
                .Caption = "dc-tool Serial - Settings"
                .lblDevice.Caption = "Device:"
                .cmbDevice.Visible = True
                .cmbBaudrate.Visible = True
                .cmbIP.Visible = False
                .chkExternalClock.Visible = True
                .chkARP.Visible = False
                .txtARP.Visible = False
                .chkGDB.Top = 5520
            End With
        
        Case IP
            With frmMain
                .Caption = "dc-tool IP GUI v" & APP_VERSION
                .mnuFileResetDcload.Enabled = True
                .mnuOptionsDctoolIP.Checked = True
                .mnuOptionsDctoolSerial.Checked = False
            End With
            
            With frmOptions
                .Height = 5895
                .Caption = "dc-tool IP - Settings"
                .cmbIP.Visible = True
                .lblDevice.Caption = "IP:"
                .chkExternalClock.Visible = False
                .chkARP.Visible = True
                .txtARP.Visible = True
                .cmbDevice.Visible = False
                .cmbBaudrate.Visible = False
                .chkGDB.Top = 5160
            End With
            
    End Select
    
    Select Case intDctoolTask
    
        Case UL
            With frmMain
                If intDctoolFlavor = SERIAL Then
                    .lblInformation.Caption = "Upload through serial device " & strDevice & " @ " & strBaudrate & "bps"
                Else
                    .lblInformation.Caption = "Upload through IP " & strIP
                End If
                .mnuOptionsUpload.Checked = True
                .mnuOptionsUploadExecute.Checked = False
                .mnuOptionsDownload.Checked = False
                .cmdExecute.Caption = "&Upload"
                .cmdBrowse.Caption = "&Browse"
            End With

        Case ULxEX
            With frmMain
                If intDctoolFlavor = SERIAL Then
                    .lblInformation.Caption = "Upload through serial device " & strDevice & " @ " & strBaudrate & "bps"
                Else
                    .lblInformation.Caption = "Upload through IP, " & strIP
                End If
                .mnuOptionsUpload.Checked = False
                .mnuOptionsUploadExecute.Checked = True
                .mnuOptionsDownload.Checked = False
                .cmdExecute.Caption = "Upload and &Execute"
                .cmdBrowse.Caption = "&Browse"
            End With
    
        Case DL
            With frmMain
                If intDctoolFlavor = SERIAL Then
                    .lblInformation.Caption = "Download through serial device " & strDevice & " @ " & strBaudrate & "bps"
                Else
                    .lblInformation.Caption = "Download through IP, " & strIP
                End If
                .mnuOptionsUpload.Checked = False
                .mnuOptionsUploadExecute.Checked = False
                .mnuOptionsDownload.Checked = True
                .cmdExecute.Caption = "&Download"
                .cmdBrowse.Caption = "&Save"
            End With
            
    End Select
    

End Sub
