VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "dc-tool GUI"
   ClientHeight    =   2085
   ClientLeft      =   150
   ClientTop       =   435
   ClientWidth     =   4455
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   2085
   ScaleWidth      =   4455
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdExecute 
      Caption         =   "Upload and &Execute"
      Default         =   -1  'True
      Height          =   375
      Left            =   240
      TabIndex        =   3
      Top             =   1400
      Width           =   3975
   End
   Begin VB.CommandButton cmdBrowse 
      Caption         =   "&Browse"
      Height          =   375
      Left            =   2880
      OLEDropMode     =   1  'Manual
      TabIndex        =   0
      Top             =   150
      Width           =   1335
   End
   Begin VB.TextBox txtFilename 
      Height          =   285
      Left            =   240
      OLEDropMode     =   1  'Manual
      TabIndex        =   4
      Top             =   600
      Width           =   3975
   End
   Begin VB.Label lblFilename 
      Caption         =   "Filename:"
      Height          =   255
      Left            =   240
      OLEDropMode     =   1  'Manual
      TabIndex        =   1
      Top             =   360
      Width           =   735
   End
   Begin VB.Label lblInformation 
      Alignment       =   2  'Center
      Height          =   255
      Left            =   240
      TabIndex        =   2
      Top             =   1080
      Width           =   3975
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFileDownloadBIOS 
         Caption         =   "Download &BIOS"
      End
      Begin VB.Menu mnuFileDownloadFlash 
         Caption         =   "Download &Flash"
      End
      Begin VB.Menu mnuFileDownloadSystemCalls 
         Caption         =   "Download &System Calls"
      End
      Begin VB.Menu Bar4 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFileResetDcload 
         Caption         =   "Reset dc-load IP"
      End
      Begin VB.Menu Bar3 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFileExit 
         Caption         =   "E&xit"
      End
   End
   Begin VB.Menu mnuOptions 
      Caption         =   "&Options"
      Begin VB.Menu mnuOptionsDctoolSerial 
         Caption         =   "dc-tool &Serial"
         Checked         =   -1  'True
      End
      Begin VB.Menu mnuOptionsDctoolIP 
         Caption         =   "dc-tool &IP"
      End
      Begin VB.Menu bar11 
         Caption         =   "-"
      End
      Begin VB.Menu mnuOptionsUpload 
         Caption         =   "&Upload"
      End
      Begin VB.Menu mnuOptionsUploadExecute 
         Caption         =   "Upload and &Execute"
         Checked         =   -1  'True
      End
      Begin VB.Menu mnuOptionsDownload 
         Caption         =   "&Download"
      End
      Begin VB.Menu Bar2 
         Caption         =   "-"
      End
      Begin VB.Menu mnuOptionsSettings 
         Caption         =   "Se&ttings"
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "&Help"
      Begin VB.Menu mnuHelpCheckforUpdates 
         Caption         =   "Check for Updates"
      End
      Begin VB.Menu bar1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuHelpAbout 
         Caption         =   "&About "
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_Load()
    CheckFilesStartup
    ReadInSettings
    Set_GUI
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Dim myForm As Form
    WriteOutSettings
    ' gracly unload all forms
    For Each myForm In Forms
        Unload myForm
    Next myForm
End Sub

Private Sub cmdBrowse_Click()
    Dim sFile As String
    
    Select Case intDctoolTask
        Case DL: sFile = ShowSave("All Files (*.*)|*.*", "", "bin", Me.hwnd, OVERWRITEPROMPT)
        Case UL, ULxEX: sFile = ShowOpen("Dreamcast binaries (*.bin, *.elf, *.srec)|*.bin; *.elf; *.srec|All Files (*.*)|*.*", Me.hwnd, FILEMUSTEXIST)
    End Select
    If sFile = "" Then Exit Sub
    strFilename = sFile
    
    Set_GUI
End Sub

Private Sub cmdExecute_Click()
    Select Case intDctoolFlavor
        Case SERIAL ' DC-TOOL SERIAL
            Select Case intDctoolTask
                Case UL ' UPLOAD
                    If FileExists(strFilename) = False Then
                        MsgBox "That file does not exist.", vbCritical, "Error"
                        Exit Sub
                    End If
                    
                    If intCDFSRedir = vbChecked Then
                        If FileExists(strCDFSRedirISO) = False Then
                            MsgBox "The CDFSredir ISO does not exist.", vbCritical, "Error"
                            Exit Sub
                        End If
                    End If
                    
                    Call Shell("""" & AppPath & "tools\console.exe"" dc-tool-serial.exe " & IIf(intGDB = vbChecked, "-g ", "") & "-t " & strDevice & " -b " & strBaudrate & " -a " & strAddress & " " & IIf(intNoConsole = vbChecked, "-n ", "") & IIf(intDumbTerminal = vbChecked, "-p ", "") & IIf(intNoScreenClear = vbChecked, "-q ", "") & IIf(intExternalClock = vbChecked, "-E ", "") & IIf(intCDFSRedir = vbChecked, "-i """ & strCDFSRedirISO & """ ", "") & "-u """ & strFilename & """", vbNormalFocus)
                Case ULxEX  ' UPLOAD & EXECUTE
                    If FileExists(strFilename) = False Then
                        MsgBox "That file does not exist.", vbCritical, "Error"
                        Exit Sub
                    End If
                    
                    If intCDFSRedir = vbChecked Then
                        If FileExists(strCDFSRedirISO) = False Then
                            MsgBox "The CDFSredir ISO does not exist.", vbCritical, "Error"
                            Exit Sub
                        End If
                    End If
                    
                    Call Shell("""" & AppPath & "tools\console.exe"" dc-tool-serial.exe " & IIf(intGDB = vbChecked, "-g ", "") & "-t " & strDevice & " -b " & strBaudrate & " -a " & strAddress & " " & IIf(intNoConsole = vbChecked, "-n ", "") & IIf(intDumbTerminal = vbChecked, "-p ", "") & IIf(intNoScreenClear = vbChecked, "-q ", "") & IIf(intExternalClock = vbChecked, "-E ", "") & IIf(intCDFSRedir = vbChecked, "-i """ & strCDFSRedirISO & """ ", "") & "-x """ & strFilename & """", vbNormalFocus)
                Case DL ' DOWNLOAD
                    If strFilename = "" Then
                        MsgBox "You need to set a filename first.", vbCritical, "Error"
                        Exit Sub
                    End If
                    
                    If strFilesize = "0x0" Then
                        MsgBox "The file size isn't set.", vbCritical, "Error"
                        Exit Sub
                    End If
                    
                    Call Shell("""" & AppPath & "tools\console.exe"" dc-tool-serial.exe -t " & strDevice & " -b " & strBaudrate & " -a " & strAddress & " " & IIf(intNoConsole = vbChecked, "-n ", "") & IIf(intDumbTerminal = vbChecked, "-p ", "") & IIf(intNoScreenClear = vbChecked, "-q ", "") & IIf(intExternalClock = vbChecked, "-E ", "") & IIf(intCDFSRedir = vbChecked, "-i """ & strCDFSRedirISO & """ ", "") & "-s " & strFilesize & " -d """ & strFilename & """", vbNormalFocus)
            End Select
        Case IP 'DC-TOOL IP
            Select Case intDctoolTask
                Case UL ' UPLOAD
                    If FileExists(strFilename) = False Then
                        MsgBox "That file does not exist.", vbCritical, "Error"
                        Exit Sub
                    End If
                    
                    If intCDFSRedir = vbChecked Then
                        If FileExists(strCDFSRedirISO) = False Then
                            MsgBox "The CDFSredir ISO does not exist.", vbCritical, "Error"
                            Exit Sub
                        End If
                    End If
                    
                    If intARP = vbChecked Then
                        Call ShellWait("""" & AppPath & "tools\arp.exe"" -s " & strIP & " " & strMAC, vbNormalFocus)
                    End If
                    
                    Call Shell("""" & AppPath & "tools\console.exe"" dc-tool-ip.exe " & IIf(intGDB = vbChecked, "-g ", "") & "-t " & strIP & " -a " & strAddress & " " & IIf(intNoConsole = vbChecked, "-n ", "") & IIf(intDumbTerminal = vbChecked, "-p ", "") & IIf(intNoScreenClear = vbChecked, "-q ", "") & IIf(intCDFSRedir = vbChecked, "-i """ & strCDFSRedirISO & """ ", "") & "-u """ & strFilename & """", vbNormalFocus)
                Case ULxEX  ' UPLOAD & EXECUTE
                    If FileExists(strFilename) = False Then
                        MsgBox "That file does not exist.", vbCritical, "Error"
                        Exit Sub
                    End If
                    
                    If intCDFSRedir = vbChecked Then
                        If FileExists(strCDFSRedirISO) = False Then
                            MsgBox "The CDFSredir ISO does not exist.", vbCritical, "Error"
                            Exit Sub
                        End If
                    End If
                    
                    If intARP = vbChecked Then
                        Call ShellWait("""" & AppPath & "tools\arp.exe"" -s " & strIP & " " & strMAC, vbNormalFocus)
                    End If
                    
                    Call Shell("""" & AppPath & "tools\console.exe"" dc-tool-ip.exe " & IIf(intGDB = vbChecked, "-g ", "") & "-t " & strIP & " -a " & strAddress & " " & IIf(intNoConsole = vbChecked, "-n ", "") & IIf(intDumbTerminal = vbChecked, "-p ", "") & IIf(intNoScreenClear = vbChecked, "-q ", "") & IIf(intCDFSRedir = vbChecked, "-i """ & strCDFSRedirISO & """ ", "") & "-x """ & strFilename & """", vbNormalFocus)
                Case DL ' DOWNLOAD
                    If strFilename = "" Then
                        MsgBox "You need to set a filename first.", vbCritical, "Error"
                        Exit Sub
                    End If
                    
                    If strFilesize = "0x0" Then
                        MsgBox "The file size isn't set.", vbCritical, "Error"
                        Exit Sub
                    End If
                    
                    If intARP = vbChecked Then
                        Call ShellWait("""" & AppPath & "tools\arp.exe"" -s " & strIP & " " & strMAC, vbNormalFocus)
                    End If
                    
                    Call Shell("""" & AppPath & "tools\console.exe"" dc-tool-ip.exe -t " & strIP & " -a " & strAddress & " " & IIf(intNoConsole = vbChecked, "-n ", "") & IIf(intDumbTerminal = vbChecked, "-p ", "") & IIf(intNoScreenClear = vbChecked, "-q ", "") & IIf(intCDFSRedir = vbChecked, "-i """ & strCDFSRedirISO & """ ", "") & "-s " & strFilesize & " -d """ & strFilename & """", vbNormalFocus)
            End Select
    End Select
End Sub

'download dc_bios.bin
Private Sub mnuFileDownloadBIOS_Click()
    Dim sFile As String

    sFile = ShowSave("All Files (*.*)|*.*", "dc_bios.bin", "bin", Me.hwnd, OVERWRITEPROMPT)
    If sFile = "" Then Exit Sub
    
    If intDctoolFlavor = SERIAL Then
        Call Shell("""" & AppPath & "tools\console.exe"" dc-tool-serial.exe -t " & strDevice & " -b " & strBaudrate & " -a 0x0 " & IIf(intNoConsole = vbChecked, "-n ", "") & IIf(intDumbTerminal = vbChecked, "-p ", "") & IIf(intNoScreenClear = vbChecked, "-q ", "") & IIf(intExternalClock = vbChecked, "-E ", "") & "-s 0x200000 -d """ & sFile & """", vbNormalFocus)
    Else
        Call Shell("""" & AppPath & "tools\console.exe"" dc-tool-ip.exe -t " & strIP & " -a 0x0 " & IIf(intNoConsole = vbChecked, "-n ", "") & IIf(intDumbTerminal = vbChecked, "-p ", "") & IIf(intNoScreenClear = vbChecked, "-q ", "") & "-s 0x200000 -d """ & sFile & """", vbNormalFocus)
    End If
End Sub

'download dc_flash.bin
Private Sub mnuFileDownloadFlash_Click()
    Dim sFile As String
    
    sFile = ShowSave("All Files (*.*)|*.*", "dc_flash.bin", "bin", Me.hwnd, OVERWRITEPROMPT)
    If sFile = "" Then Exit Sub
    
    If intDctoolFlavor = SERIAL Then
        Call Shell("""" & AppPath & "tools\console.exe"" dc-tool-serial.exe -t " & strDevice & " -b " & strBaudrate & " -a 0x200000 " & IIf(intNoConsole = vbChecked, "-n ", "") & IIf(intDumbTerminal = vbChecked, "-p ", "") & IIf(intNoScreenClear = vbChecked, "-q ", "") & IIf(intExternalClock = vbChecked, "-E ", "") & "-s 0x20000 -d """ & sFile & """", vbNormalFocus)
    Else
        Call Shell("""" & AppPath & "tools\console.exe"" dc-tool-ip.exe -t " & strIP & " -a 0x200000 " & IIf(intNoConsole = vbChecked, "-n ", "") & IIf(intDumbTerminal = vbChecked, "-p ", "") & IIf(intNoScreenClear = vbChecked, "-q ", "") & "-s 0x20000 -d """ & sFile & """", vbNormalFocus)
    End If
End Sub

'download syscalls.bin
Private Sub mnuFileDownloadSystemCalls_Click()
    Dim sFile As String

    sFile = ShowSave("All Files (*.*)|*.*", "syscalls.bin", "bin", Me.hwnd, OVERWRITEPROMPT)
    If sFile = "" Then Exit Sub

    If intDctoolFlavor = SERIAL Then
        Call Shell("""" & AppPath & "tools\console.exe"" dc-tool-serial.exe -t " & strDevice & " -b " & strBaudrate & " -a 0x8C000000 " & IIf(intNoConsole = vbChecked, "-n ", "") & IIf(intDumbTerminal = vbChecked, "-p ", "") & IIf(intNoScreenClear = vbChecked, "-q ", "") & IIf(intExternalClock = vbChecked, "-E ", "") & "-s 0x8000 -d """ & sFile & """", vbNormalFocus)
    Else
        Call Shell("""" & AppPath & "tools\console.exe"" dc-tool-ip.exe -t " & strIP & " -a 0x8C000000 " & IIf(intNoConsole = vbChecked, "-n ", "") & IIf(intDumbTerminal = vbChecked, "-p ", "") & IIf(intNoScreenClear = vbChecked, "-q ", "") & "-s 0x8000 -d """ & sFile & """", vbNormalFocus)
    End If
End Sub

Private Sub mnuFileResetDcload_Click()
    If frmOptions.chkARP.Value = 1 Then
        Call ShellWait("""" & AppPath & "tools\arp.exe"" -s " & strIP & " " & strMAC, vbNormalFocus)
    End If
    
    Call Shell("""" & AppPath & "tools\dc-tool-ip.exe"" -t " & strIP & " -r", vbNormalFocus)
End Sub

Private Sub mnuFileExit_Click()
    Unload Me
End Sub

Private Sub mnuOptionsdctoolSerial_Click()
    intDctoolFlavor = SERIAL
    Set_GUI
End Sub

Private Sub mnuOptionsdctoolIP_Click()
    intDctoolFlavor = IP
    Set_GUI
End Sub

Public Sub mnuOptionsUpload_Click()
    intDctoolTask = UL
    Set_GUI
End Sub

Public Sub mnuOptionsUploadExecute_Click()
    intDctoolTask = ULxEX
    Set_GUI
End Sub

Public Sub mnuOptionsDownload_Click()
    intDctoolTask = DL
    Set_GUI
End Sub

Private Sub mnuOptionsSettings_Click()
    frmOptions.Show vbModal
    Set_GUI
End Sub

Private Sub mnuHelpCheckforUpdates_Click()
    CheckVersion
End Sub

Private Sub mnuHelpAbout_Click()
MsgBox "A GUI for the programming tool dc-tool." & vbCrLf & vbCrLf & _
    "Released by fackue" & vbCrLf & _
    "http://dchelp.dcemulation.com/", vbInformation, "About"
End Sub

Private Sub lblFilename_OLEDragDrop(Data As DataObject, Effect As Long, Button As Integer, Shift As Integer, X As Single, Y As Single)
    pSetForegroundWindow Me.hwnd
    txtFilename.Text = Data.Files(1)
End Sub

Private Sub cmdBrowse_OLEDragDrop(Data As DataObject, Effect As Long, Button As Integer, Shift As Integer, X As Single, Y As Single)
    pSetForegroundWindow Me.hwnd
    txtFilename.Text = Data.Files(1)
End Sub

Private Sub txtFilename_Change()
    strFilename = txtFilename.Text
End Sub

Private Sub txtFilename_OLEDragDrop(Data As DataObject, Effect As Long, Button As Integer, Shift As Integer, X As Single, Y As Single)
    pSetForegroundWindow Me.hwnd
    txtFilename.Text = Data.Files(1)
End Sub

