Attribute VB_Name = "modReadWriteINI"
Option Explicit

Public Declare Function WritePrivateProfileString& Lib "kernel32" Alias "WritePrivateProfileStringA" (ByVal AppName$, ByVal KeyName$, ByVal keydefault$, ByVal filename$)
Public Declare Function GetPrivateProfileString& Lib "kernel32" Alias "GetPrivateProfileStringA" (ByVal AppName$, ByVal KeyName$, ByVal keydefault$, ByVal ReturnedString$, ByVal RSSize&, ByVal filename$)

Public Sub WriteINI(INISection As String, INIKey As String, INIValue As String)

    Call WritePrivateProfileString(INISection, INIKey, INIValue, AppPath & "tools\settings.ini")
    
End Sub

Public Function ReadINI(INISection As String, INIKey As String) As String

    Dim buff As String
    Dim bufflen As Long
    
    buff = Space$(255)
    bufflen = Len(buff)
    bufflen = GetPrivateProfileString(INISection, INIKey, "", buff, bufflen, AppPath & "tools\settings.ini")
    
    If bufflen > 0 Then
        ReadINI = Left$(buff, bufflen)
    Else
        ReadINI = ""
    End If
    
End Function

